Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions
_TessFunctionResultCallback_0_2< del, void, A1, A2 > Class Template Reference

`#include <tesscallback.h>`

Inheritance diagram for _TessFunctionResultCallback_0_2< del, void, A1, A2 >:

List of all members.

## Public Types

typedef TessCallback2< A1, A2 > | base
typedef void(* | FunctionSignature )(A1, A2)

## Public Member Functions

| _TessFunctionResultCallback_0_2 (FunctionSignature function)
virtual void | Run (A1 a1, A2 a2)
Public Member Functions inherited from TessCallback2< A1, A2 >
virtual | ~TessCallback2 ()

## Detailed Description

### template<bool del, class A1, class A2>
class _TessFunctionResultCallback_0_2< del, void, A1, A2 >

Definition at line 724 of file tesscallback.h.

## Member Typedef Documentation

template<bool del, class A1 , class A2 >

typedef TessCallback2<A1,A2> _TessFunctionResultCallback_0_2< del, void, A1, A2 >::base

Definition at line 727 of file tesscallback.h.

template<bool del, class A1 , class A2 >

typedef void(* _TessFunctionResultCallback_0_2< del, void, A1, A2 >::FunctionSignature)(A1, A2)

Definition at line 728 of file tesscallback.h.

## Constructor & Destructor Documentation

template<bool del, class A1 , class A2 >

_TessFunctionResultCallback_0_2< del, void, A1, A2 >::_TessFunctionResultCallback_0_2 | ( | FunctionSignature | function | ) |

inline

Definition at line 734 of file tesscallback.h.

: function_(function) {
}

## Member Function Documentation

template<bool del, class A1 , class A2 >

virtual void _TessFunctionResultCallback_0_2< del, void, A1, A2 >::Run | ( | A1 | a1,
|  | A2 | a2
| ) |  |

inlinevirtual

Implements TessCallback2< A1, A2 >.

Definition at line 739 of file tesscallback.h.

{
if (!del) {
(*function_)(a1,a2);
} else {
(*function_)(a1,a2);
// zero out the pointer to ensure segfault if used again
function_ = NULL;
delete this;
}
}

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/tesscallback.h